DISPDATA_CREATE_BLINKSTATE(3)

EXPERIMENTAL_FUNC
dispdata_create_blinkstate - Create a blink state object.

SYNOPSIS
#include <karma_dispdata.h>

KDisplayDataBlinkState dispdata_create_blinkstate

(KDisplayDataWindow window, void (*active_change) (void *info, flag active), void *info)

DESCRIPTION
Create a blink state object.

window
    The window the blink state is associated with.

active_change
    The function that is called when the blinkstate is made active or inactive.

info
    An arbitrary information pointer.

RETURN VALUE
A KDisplayDataBlinkState object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/